﻿using System.Collections.Generic;

namespace UserService.Infrastructure.DataModels
{
    public class User : Member
    {
        public string? FirstName { get; set; }
        public string? LastName { get; set; }
        public bool IsActive { get; set; }

        public string FullName => $"{FirstName} {LastName}";

        public IEnumerable<UserMember> MemberOf { get; set; } = new List<UserMember>();
    }
}